Sur vieux PC, Xubuntu a des problèmes, des commandes plantes & autres erreur

Fermé
Signaler
Messages postés
222
Date d'inscription
dimanche 9 septembre 2012
Statut
Membre
Dernière intervention
18 mars 2021
-
Messages postés
30376
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
6 décembre 2021
-
Bonjour ☺

J'ai installé Xubuntu sur 1 vieux PC avec Pentium 4 à 2,8 GHz, 4 Go DDR2 dual channel.

J'ai installé les paquets pour lire le format de fichier ExFAT et celui d'aptitude.
J'ai ajouté dans le fichier idoine, les nouveaux dépots de QGIS 3.4, j'ai ajouté la clef pour pourvoir avoir accès au dépots et au paquet de QGIS 3.4.
L'installation de QGIS 3.4 plante à cause de conflits de dépendance.
Je ne pouvais plus ouvrir Mousepas avec sudo, ça plante, j'avais d'autres erreurs : une erreure signalée au démarrage et la vérication systèmatique du système de fichier au démarrage.

J'ai réinstallé Xubuntu, je n'ai toujours pas pu installer QGIS 3.4, seul le 2.8 s'installe.

Une idée de solution ?

Merci

Romain

Configuration: Windows / Firefox 70.0

3 réponses

Messages postés
30376
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
6 décembre 2021
7 242
Bonjour Romain,

Conformément à ce qui est indiqué sur la page du paquet
qgis
, le paquet disponible sous ubuntu 18.04 correspond à la version
2.18.17+dfsg-1
. C'est donc normal.

Toujours conformément à ce site, une ubuntu >= 19.04 permet d'installer directement qgis dans une version >= 3.4. Dans ton cas, si tu tiens rester sous (x)ubuntu, tu peux donc effectuer une migration vers une version supérieure.

Attention toutefois, c'est une opération qui n'est pas anodine si tu es néophyte. Je te recommande de sauver les documents auxquels tu tiens au préalable, on n'est jamais trop prudent. Si ton ubuntu est cassée au court de la migration, tu pourras ainsi toujours réinstaller ubuntu dans sa version actuelle. Si tu en venais à de tels extrêmes, note que pendant la réinstallation tu peux conserver ta partition
/home
donc à moins d'une fausse manipulation au moment du partitionnement, tu peux conserver tes documents.

Bonne chance
1
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 41989 internautes nous ont dit merci ce mois-ci

Messages postés
222
Date d'inscription
dimanche 9 septembre 2012
Statut
Membre
Dernière intervention
18 mars 2021
9
Bonjour ☺

Maintenant que j'ai la version 20 LTR, c'est bon.

À la Fac ils ont toujours les versions LTR et eux avaient QGIS 3.4 sous Xubuntu 18.04.

Soit ils ont ajouté des dépôts, soit je me trompe de salle de TP et QGIS 3.4 n'était que sous Windows.
C'est le problème d'une formation en triple cohabilitation où il y a 3 services informatiques sans compter les salles de TP des instituts de recherche ; on ne s'y retrouve plus ☺.

Merci
Messages postés
30376
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
6 décembre 2021
7 242 >
Messages postés
222
Date d'inscription
dimanche 9 septembre 2012
Statut
Membre
Dernière intervention
18 mars 2021

Faut-il en conclure que ton problème est résolu ? Si oui, bascule-le en résolu. Sinon, indique-nous quel est le problème à ce stade.
Messages postés
222
Date d'inscription
dimanche 9 septembre 2012
Statut
Membre
Dernière intervention
18 mars 2021
9 >
Messages postés
30376
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
6 décembre 2021

Le système Xubuntu sur Dell GX520 Pentium 4 à 2,8 GHz, 4 Go DDR2 RAM dual, est très lent.

Pourtant il est indiqué minimum Pentium 3 à 800 MHz et 512 Mo RAM.

J'ai ajouté LXQt, c'est presque aussi lent.

Si vous pensez qu'on ne peut rien faire d'un vieux PC et que même en dépanage ça ne sert à rien, je m'en séparerai ; j'ai un PC de l'an dernier (i5-9400F) pour Windows et Debian.

Salut Romain,

Pourquoi ne pas essayer directement de passer sous Debian ? Je pense que si un distribution peut faire tourner ton "vieux PC" c'est bien celle-ci !

Une seule adresse du coup : https://www.debian.org/distrib/

Et peut-être essayer de t'adresser à des communautés plus spécifiques je pense notamment à Debian-Facile ou encore Debian-Fr qui pourront le cas échéant t'accompagner si ça ne va pas !

En espérant avoir pu t'apporter une réponse positive,
Bien à toi
Messages postés
222
Date d'inscription
dimanche 9 septembre 2012
Statut
Membre
Dernière intervention
18 mars 2021
9
Parce ce qu'à la Fac des Sciences nous utilisons Xubuntu et que j'ai déjà Debian sur une autre machine
Messages postés
30376
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
6 décembre 2021
7 242 >
Messages postés
222
Date d'inscription
dimanche 9 septembre 2012
Statut
Membre
Dernière intervention
18 mars 2021

Bonjour,

Debian ne changerait de toute façon pas grand chose (peu importe que tu utilises XFCE sous ubuntu ou sous debian, ça reste XFCE). Par contre il existe des environnements graphique plus légers que XFCE, comme lxde ou icewm qui seraient sans doute plus adéquats...

Bonne chance
Bonjour,
Tu as quelle version de Xubuntu ?
https://www.qgis.org/fr/site/forusers/alldownloads.html#debian-ubuntu
Qt 5.9 est installé ?

Sinon, il rexiste une version expérimentale de la dernière version sous flatpak (nécessite que flatpak soit installé)
https://www.qgis.org/fr/site/forusers/alldownloads.html#flatpak
Messages postés
222
Date d'inscription
dimanche 9 septembre 2012
Statut
Membre
Dernière intervention
18 mars 2021
9
Bonjour

18.04.3

Je ne connais pas Qt. J'ai tapé aptitute show qt mais le paquet est introuvable

Merci